
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;

import org.apache.commons.lang3.StringUtils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import cn.hutool.crypto.SecureUtil;

public class FileUtils2 {
    
    public static void main(String[] args) {
        
        System.out.println(SecureUtil.md5("2af5e413ec4e44c29b4bab61021071ba" + "wmNYNmCgAA7AohTQh62UPdSKyr3m9bIg"));
        /*String s = getText();
        
        JSONArray jsonArr = JSONObject.parseObject(s).getJSONArray("value");
        System.out.println(JSON.toJSONString(jsonArr));*/
    }
    
    
    public  static String getText(){
        try {
            BufferedReader bw = new BufferedReader(new FileReader(new File("c:\\b.txt"))) ;
            StringBuilder sb = new StringBuilder() ;
            while(true) {
               String s =  bw.readLine() ;
               if(StringUtils.isBlank(s)) {
                   break ;
               }else {
                  String ss = new String(s.getBytes(),"UTF-8") ;
                  sb.append(ss) ;
               }
            }
            bw.close();
            return sb.toString() ;
        }catch(Exception e) {
        }
        return null ;
    }
}
